# Command Line Options

The following sections contain information about the command line options of Jmol. The general syntax is:

        jmol
        OPTIONS
        FILE

Jmol can be started with one argument, being a file name or no argument:

        jmol
        FILE

## -h,--help

### Syntax

`-h`, `--help`

  This option will give you a short usage overview.

## -s,--script

### Syntax

`-s`, `--script` RASMOL.script

  This option makes it possible to start jmol with a Rasmol script. The syntax of these scripts is explained in .

## -g,--geometry

### Syntax

`-g`, `--geometry` WIDTHxHEIGHT

  This option allows setting of the window size. By default the size is 500x500.

## -Duser.language

### Syntax

`-Duser.language=de|en|es|fr|nl|pl`

  Set the GUI language with this option. If Jmol can't determine the user language and you don't use the above option, Jmol will use English by default.

  At this moment these languages are supported:

  - English (en)

  - German (de)

  - Spanish (es)

  - French (fr)

  - Dutch (nl)

  - Polish (pl)

  Alternatively, you can also use the `LANG` environment variable for setting the prefered language. This is common in many UNIX systems, like Linux. However, it is known not to work on Solaris and the above command line option must be used.

## -Ddisplay.speed

### Syntax

`-Ddisplay.speed=fps|ms`

  This option can be used to report the display speed in frames per second or milliseconds per frame. The default is milliseconds per frame.

## -Dplugin.dir

### Syntax

`-Dplugin.dir=/path/to/plugins`

  This options sets a path, where to find plugins for Jmol. Please note, that this option has no effect on the user (directory) plugin path `~/.jmol/plugins`. Jmol will still search for plugins in this directory, which also means, that this directory does not need to be defined as plugin directory.

## -Xmx

### Syntax

`-XmxSIZE`

  With this option you can change the maximum heap size the Java virtual machine can address on Java 1.4 systems. By default this is 64 MB. For large files this might not be enough. Use this option to encrease the heap size, e.g. `-Xmx512m`, which would encrase the heap size to 512 MB. On older Java systems the syntax of this option is different (see `java --help`).